Message.Response (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.transport

## Class Message.Response

- java.lang.Object
- - org.apache.cassandra.transport.Message
  - - org.apache.cassandra.transport.Message.Response

- Direct Known Subclasses:
    AuthChallenge, AuthenticateMessage, AuthSuccess, ErrorMessage, EventMessage, ReadyMessage, ResultMessage, SupportedMessage
  Enclosing class:
    Message

      public abstract static class Message.Response
      extends Message

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Message

      `Message.Codec<M extends Message>, Message.Direction, Message.Dispatcher, Message.ProtocolDecoder, Message.ProtocolEncoder, Message.Request, Message.Response, Message.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.UUID` | `tracingId`

    - ### Fields inherited from class org.apache.cassandra.transport.Message

      `connection, logger, type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Message.Response(Message.Type type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.UUID` | `getTracingId()`
    `Message` | `setTracingId(java.util.UUID tracingId)`

    - ### Methods inherited from class org.apache.cassandra.transport.Message

      `attach, connection, getSourceFrame, getStreamId, setSourceFrame, setStreamId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tracingId

          protected java.util.UUID tracingId

  - ### Constructor Detail

    - #### Message.Response

          protected Message.Response(Message.Type type)

  - ### Method Detail

    - #### setTracingId

          public Message setTracingId(java.util.UUID tracingId)

    - #### getTracingId

          public java.util.UUID getTracingId()

Copyright © 2014 The Apache Software Foundation